Skip to content
BolderBolder Developers
Esc
↑↓navigate↵open⌘Jpreview

Create an order document

POST/orders/{order_id}/documents
Authorization
AuthorizationBearer token (JWT) · headerrequired
Path parameters
order_idstringrequired
Request body
requiredapplication/json
document_typestringrequired
Allowed:invoicereceipt
document_numberstring
file_urlstring
transaction_idstring

Associates the document with a specific payment/refund transaction

uploader_idstringrequired
uploader_typestringrequired
Responses
201

Document created

idinteger | null

null for legacy documents stored in the order's contact_data (_document_pdf_url/_document_type/_document_number) instead of as a real document record. These have no self/delete links and can't be fetched or deleted via /orders/{order_id}/documents/{id}.

document_typestring
Allowed:invoicereceipt
document_numberstring
file_urlstring
Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X POST 'https://api.onbolder.com/v2/orders/string/documents' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "document_type": "invoice",
  "document_number": "INV-0001",
  "uploader_id": "1",
  "uploader_type": "User"
}'
Response
{
  "id": 0,
  "document_type": "invoice",
  "document_number": "string",
  "file_url": "string"
}

Was this page helpful?